clang-tools 6.0.0

Public Types | Static Public Member Functions | List of all members
llvm::DenseMapInfo< clang::tidy::readability::IdentifierNamingCheck::NamingCheckId > Struct Template Reference

Specialisation of DenseMapInfo to allow NamingCheckId objects in DenseMaps. More...

## Public Types
using | NamingCheckId = clang::tidy::readability::IdentifierNamingCheck::NamingCheckId

## Static Public Member Functions
static NamingCheckId | getEmptyKey ()
static NamingCheckId | getTombstoneKey ()
static unsigned | getHashValue (NamingCheckId Val)
static bool | isEqual (const NamingCheckId &LHS, const NamingCheckId &RHS)

## Detailed Description

### template<>
struct llvm::DenseMapInfo< clang::tidy::readability::IdentifierNamingCheck::NamingCheckId >

Specialisation of DenseMapInfo to allow NamingCheckId objects in DenseMaps.

Definition at line 27 of file IdentifierNamingCheck.cpp.

## Member Typedef Documentation

## ◆ NamingCheckId

using llvm::DenseMapInfo< clang::tidy::readability::IdentifierNamingCheck::NamingCheckId >::NamingCheckId = clang::tidy::readability::IdentifierNamingCheck::NamingCheckId

Definition at line 30 of file IdentifierNamingCheck.cpp.

## Member Function Documentation

## ◆ getEmptyKey()

static NamingCheckId llvm::DenseMapInfo< clang::tidy::readability::IdentifierNamingCheck::NamingCheckId >::getEmptyKey | ( |  | ) |
| inline static

Definition at line 32 of file IdentifierNamingCheck.cpp.

## ◆ getHashValue()

static unsigned llvm::DenseMapInfo< clang::tidy::readability::IdentifierNamingCheck::NamingCheckId >::getHashValue | ( | NamingCheckId | Val | ) |
| inline static

Definition at line 44 of file IdentifierNamingCheck.cpp.

## ◆ getTombstoneKey()

static NamingCheckId llvm::DenseMapInfo< clang::tidy::readability::IdentifierNamingCheck::NamingCheckId >::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 38 of file IdentifierNamingCheck.cpp.

## ◆ isEqual()

static bool llvm::DenseMapInfo< clang::tidy::readability::IdentifierNamingCheck::NamingCheckId >::isEqual | ( | const NamingCheckId & | LHS,
|  | const NamingCheckId & | RHS
| ) |  |
| inline static

Definition at line 52 of file IdentifierNamingCheck.cpp.

The documentation for this struct was generated from the following file:

- IdentifierNamingCheck.cpp